Support #4338

Install Java8 on CHD4 hadoop

Added by Claudio Atzori over 3 years ago. Updated over 3 years ago.

Status:ClosedStart date:Jun 22, 2016
Priority:NormalDue date:
Assignee:Andrea Dell'Amico% Done:

100%

Category:System Application
Infrastructure:Development
Milestones:
Duration:

Description

Having java8 installed on the CDH4 hadoop cluster would allow to run the newer dnet code (OpenAIRE & WDS).

We still need to understand if the CDH4 components will run on the newer JDK, but the compatibility described in the ORACLE guide looks promising: http://www.oracle.com/technetwork/java/javase/8-compatibility-guide-2156366.html

History

#2 Updated by Andrea Dell'Amico over 3 years ago

  • % Done changed from 0 to 100
  • Status changed from New to Feedback

JDK 8 installed as default, and all the cluster have been restarted.

#3 Updated by Andrea Dell'Amico over 3 years ago

  • Sprint changed from UnSprintable to Upgrade the Hadoop cluster to Hadoop 2 with Yarn and Spark

#4 Updated by Andrea Dell'Amico over 3 years ago

  • Status changed from Feedback to Closed

It's working, it seems.

Also available in: Atom PDF